[arch-commits] Commit in gphoto2/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu May 28 18:11:06 EDT 2009


    Date: Thursday, May 28, 2009 @ 18:11:06
  Author: jgc
Revision: 40220

Merged revisions 40216 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/gphoto2/trunk

........
  r40216 | jgc | 2009-05-29 00:02:32 +0200 (Fri, 29 May 2009) | 1 line
  
  upgpkg: gphoto2 2.4.5-1
........

Modified:
  gphoto2/repos/extra-i686/	(properties)
  gphoto2/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)


Property changes on: gphoto2/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /gphoto2/trunk:1-32380
   + /gphoto2/trunk:1-40219

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-28 22:10:06 UTC (rev 40219)
+++ extra-i686/PKGBUILD	2009-05-28 22:11:06 UTC (rev 40220)
@@ -2,19 +2,19 @@
 # Maintainer: Eduardo Romero <eduardo at archlinux.org>
 # Contributor: Jason Chu <jason at archlinux.org>
 pkgname=gphoto2
-pkgver=2.4.4
+pkgver=2.4.5
 pkgrel=1
 pkgdesc="A digital camera download and access program."
 arch=(i686 x86_64)
 url="http://www.gphoto.org"
 license=('GPL' 'LGPL')
-depends=(glibc 'libgphoto2>=2.4.0' 'libexif>=0.6.9' libjpeg ncurses popt readline aalib 'gpm>=1.20.4')
-source=(http://downloads.sourceforge.net/gphoto/$pkgname-$pkgver.tar.bz2)
-md5sums=('bcc5621e09802e114c7f72a6f6172230')
+depends=('libgphoto2>=2.4.6' 'popt' 'aalib')
+source=(http://downloads.sourceforge.net/gphoto/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('cccbe437804c863b87807444ec58a8ac')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr install
+  make DESTDIR="${pkgdir}" install || return 1
 }



More information about the arch-commits mailing list